Package org.eclipse.lemminx.customservice

## Interface XMLLanguageServerAPI

All Known Implementing Classes:
  `XMLLanguageServer`

    public interface XMLLanguageServerAPI

XML custom services.

### Method Summary

All Methods Instance Methods Abstract Methods
`CompletableFuture<AutoCloseTagResponse>` `closeTag​(org.eclipse.lsp4j.TextDocumentPositionParams params)`
`CompletableFuture<org.eclipse.lsp4j.Position>` `matchingTagPosition​(org.eclipse.lsp4j.TextDocumentPositionParams params)`

### Method Detail

#### closeTag

    CompletableFuture<AutoCloseTagResponse> closeTag​(org.eclipse.lsp4j.TextDocumentPositionParams params)

#### matchingTagPosition

    CompletableFuture<org.eclipse.lsp4j.Position> matchingTagPosition​(org.eclipse.lsp4j.TextDocumentPositionParams params)